package org.opengroup.osdu.notification.di;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.opengroup.osdu.core.common.model.http.DpsHeaders;
import org.opengroup.osdu.notification.provider.interfaces.IPubsubRequestBodyExtractor;
import org.powermock.modules.junit4.PowerMockRunner;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.servlet.http.HttpServletRequest;

import static org.junit.Assert.*;
import static org.mockito.Mockito.when;

@RunWith(PowerMockRunner.class)
public class CredentialHeadersProviderTest {
    @Mock
    private HttpServletRequest httpRequest;

    @Mock
    private IPubsubRequestBodyExtractor pubsubRequestBodyExtractor;

    @InjectMocks
    private CredentialHeadersProvider headersProvider;

    @Test
    public void testGetIsOk() throws Exception {
        when(httpRequest.getMethod()).thenReturn(RequestMethod.GET.toString());
        assertNotNull(headersProvider.getObject());
    }
}